import React, {useState} from 'react';
import {WhiteSpace, WingBlank, Modal, Button, List, InputItem, DatePicker} from 'antd-mobile'
import Calendar from 'react-calendar'
import 'react-calendar/dist/Calendar.css';

import Document from 'react-document-title'
import '../index.less'

import { createForm } from 'rc-form';



const DateCalendar = (props) => {
    const [value, onChange] = useState(new Date());

    const data = [{}, {}];

    const [visible, setVisible] = useState(false);
    const [editVisible, setEditVisible] = useState(false);
    const {getFieldProps} = props.form;

    const onSubmit = () => {
        props.form.validateFields({ force: true }, (error) => {
            if (!error) {
                console.log(props.form.getFieldsValue());
            } else {
                alert('Validation failed');
            }
        });
    };
    const onReset = () => {
        setEditVisible(false);
        props.form.resetFields();
    };

    return (
        <Document title="待办">
            <WingBlank>
                <WhiteSpace/>
                <Calendar
                    defaultValue={new Date(2020, 6, 20)}
                    calendarType="US"
                    onChange={onChange}
                    value={value}
                />
                <WhiteSpace/>
                <div className="date-todo-card">
                    {data.map((item, index) => (
                        <div key={index} className="date-todo-item" onClick={() => setVisible(true)}>
                            <div>出差携带物资</div>
                            <div>
                                <p>8:00</p>
                                <p>8:30</p>
                            </div>
                        </div>
                    ))}
                </div>
                <Modal
                    className="date-modal"
                    visible={editVisible}
                    transparent
                    onClose={() => setEditVisible(false)}
                >
                    <form>
                        <List>
                            <InputItem
                                {...getFieldProps('title')}
                                placeholder="请输入标题"
                            >输入标题</InputItem>
                            <DatePicker
                                mode="date"
                                {...getFieldProps('dp', {rules: [{ required: true, message: '必须选择开始日期' }],})}
                            >
                                <List.Item>选择开始日期</List.Item>
                            </DatePicker>
                            <DatePicker
                                mode="date"
                                {...getFieldProps('dp2', {rules: [{ required: true, message: '必须选择开始日期' }]})}
                            >
                                <List.Item>选择结束日期</List.Item>
                            </DatePicker>
                        </List>
                        <div className="modal-form-footer">
                            <Button className="date-button mr-12 bg-gray" inline onClick={onReset}>取消</Button>
                            <Button className="date-button" inline type="primary" onClick={onSubmit}>保存日程</Button>
                        </div>
                    </form>
                </Modal>
                <Modal
                    className="date-modal"
                    visible={visible}
                    transparent
                    onClose={() => setVisible(false)}
                >
                    <List>
                        <InputItem extra={`1111`}>标题</InputItem>
                        <InputItem extra={`1111`}>开始日期</InputItem>
                        <InputItem extra={`1111`}>结束日期</InputItem>
                    </List>
                </Modal>
                <div className="event-footer">
                    <div className="event-footer-button" onClick={() => setEditVisible(true)}>添加日程</div>
                </div>

            </WingBlank>

        </Document>
    );
};

export default createForm()(DateCalendar);
