import React, {useState, useEffect} from 'react';
import {WingBlank, List, InputItem, TextareaItem} from 'antd-mobile'
import 'react-calendar/dist/Calendar.css';

import Document from 'react-document-title'
import '../index.less'

import { createForm } from 'rc-form';



const Send = (props) => {
    const {getFieldProps} = props.form;

    const onSubmit = () => {
        props.form.validateFields({ force: true }, (error) => {
            if (!error) {
                console.log(props.form.getFieldsValue());
            } else {
                alert('Validation failed');
            }
        });
    };

    return (
        <Document title="内部邮局">
            <WingBlank>
                <form>
                    <List>
                        <InputItem
                            {...getFieldProps('title')}
                            placeholder="请输入主题"
                        >主题</InputItem>
                        <InputItem
                            {...getFieldProps('title2')}
                            placeholder="请输入收件人"
                        >收件人</InputItem>
                        <TextareaItem
                            title="内容"
                            placeholder="请输内容"
                            {...getFieldProps('title3')}
                            rows={4}
                        />
                        <List.Item>
                            <input type="file"/>
                        </List.Item>
                    </List>
                </form>
                <div className="event-footer">
                    <div className="event-footer-button" onClick={onSubmit}>发送</div>
                </div>
            </WingBlank>
        </Document>
    );
};

export default createForm()(Send);
